accounts_aid_search_match_terminate_merchant_post
curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant": {
"business_name": "<string>",
"address": {
"address_line": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"address_line_2": "<string>"
},
"principals": [
{
"first_name": "<string>",
"last_name": "<string>",
"email": "abc@xxx.com",
"phone_number": "3165557625",
"date_of_birth": "1980-01-01",
"address": {
"address_line": "<string>",
"city": "<string>",
"country": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>"
}
}
],
"phone_number": "<string>",
"merchant_category": "1234",
"merchant_id": "1234567890",
"is_proprietorship": "N",
"is_transaction_laundering": "N",
"trade_name": "<string>",
"website_url": "<string>"
},
"termination": {
"termination_reason": "13",
"agreement_start_date": "2013-12-31",
"agreement_termination_date": "2013-12-31",
"comment": "Added due to fraud"
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate"
payload = {
"merchant": {
"business_name": "<string>",
"address": {
"address_line": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"address_line_2": "<string>"
},
"principals": [
{
"first_name": "<string>",
"last_name": "<string>",
"email": "abc@xxx.com",
"phone_number": "3165557625",
"date_of_birth": "1980-01-01",
"address": {
"address_line": "<string>",
"city": "<string>",
"country": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>"
}
}
],
"phone_number": "<string>",
"merchant_category": "1234",
"merchant_id": "1234567890",
"is_proprietorship": "N",
"is_transaction_laundering": "N",
"trade_name": "<string>",
"website_url": "<string>"
},
"termination": {
"termination_reason": "13",
"agreement_start_date": "2013-12-31",
"agreement_termination_date": "2013-12-31",
"comment": "Added due to fraud"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant: {
business_name: '<string>',
address: {
address_line: '<string>',
city: '<string>',
postal_code: '<string>',
country: '<string>',
address_line_2: '<string>'
},
principals: [
{
first_name: '<string>',
last_name: '<string>',
email: 'abc@xxx.com',
phone_number: '3165557625',
date_of_birth: '1980-01-01',
address: {
address_line: '<string>',
city: '<string>',
country: '<string>',
address_line_2: '<string>',
postal_code: '<string>'
}
}
],
phone_number: '<string>',
merchant_category: '1234',
merchant_id: '1234567890',
is_proprietorship: 'N',
is_transaction_laundering: 'N',
trade_name: '<string>',
website_url: '<string>'
},
termination: {
termination_reason: '13',
agreement_start_date: '2013-12-31',
agreement_termination_date: '2013-12-31',
comment: 'Added due to fraud'
}
})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate"
payload := strings.NewReader("{\n \"merchant\": {\n \"business_name\": \"<string>\",\n \"address\": {\n \"address_line\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\",\n \"address_line_2\": \"<string>\"\n },\n \"principals\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"abc@xxx.com\",\n \"phone_number\": \"3165557625\",\n \"date_of_birth\": \"1980-01-01\",\n \"address\": {\n \"address_line\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\"\n }\n }\n ],\n \"phone_number\": \"<string>\",\n \"merchant_category\": \"1234\",\n \"merchant_id\": \"1234567890\",\n \"is_proprietorship\": \"N\",\n \"is_transaction_laundering\": \"N\",\n \"trade_name\": \"<string>\",\n \"website_url\": \"<string>\"\n },\n \"termination\": {\n \"termination_reason\": \"13\",\n \"agreement_start_date\": \"2013-12-31\",\n \"agreement_termination_date\": \"2013-12-31\",\n \"comment\": \"Added due to fraud\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"merchant\": {\n \"business_name\": \"<string>\",\n \"address\": {\n \"address_line\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\",\n \"address_line_2\": \"<string>\"\n },\n \"principals\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"abc@xxx.com\",\n \"phone_number\": \"3165557625\",\n \"date_of_birth\": \"1980-01-01\",\n \"address\": {\n \"address_line\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\"\n }\n }\n ],\n \"phone_number\": \"<string>\",\n \"merchant_category\": \"1234\",\n \"merchant_id\": \"1234567890\",\n \"is_proprietorship\": \"N\",\n \"is_transaction_laundering\": \"N\",\n \"trade_name\": \"<string>\",\n \"website_url\": \"<string>\"\n },\n \"termination\": {\n \"termination_reason\": \"13\",\n \"agreement_start_date\": \"2013-12-31\",\n \"agreement_termination_date\": \"2013-12-31\",\n \"comment\": \"Added due to fraud\"\n }\n}")
.asString();{
"merchant_reference_number": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}account-fraud-search
Add a terminated merchant to MATCH
Add a terminated merchant to Mastercard MATCH
scopes:
- write:accounts:/match
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
compliance-search
/
match
/
terminate
accounts_aid_search_match_terminate_merchant_post
curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant": {
"business_name": "<string>",
"address": {
"address_line": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"address_line_2": "<string>"
},
"principals": [
{
"first_name": "<string>",
"last_name": "<string>",
"email": "abc@xxx.com",
"phone_number": "3165557625",
"date_of_birth": "1980-01-01",
"address": {
"address_line": "<string>",
"city": "<string>",
"country": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>"
}
}
],
"phone_number": "<string>",
"merchant_category": "1234",
"merchant_id": "1234567890",
"is_proprietorship": "N",
"is_transaction_laundering": "N",
"trade_name": "<string>",
"website_url": "<string>"
},
"termination": {
"termination_reason": "13",
"agreement_start_date": "2013-12-31",
"agreement_termination_date": "2013-12-31",
"comment": "Added due to fraud"
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate"
payload = {
"merchant": {
"business_name": "<string>",
"address": {
"address_line": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"address_line_2": "<string>"
},
"principals": [
{
"first_name": "<string>",
"last_name": "<string>",
"email": "abc@xxx.com",
"phone_number": "3165557625",
"date_of_birth": "1980-01-01",
"address": {
"address_line": "<string>",
"city": "<string>",
"country": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>"
}
}
],
"phone_number": "<string>",
"merchant_category": "1234",
"merchant_id": "1234567890",
"is_proprietorship": "N",
"is_transaction_laundering": "N",
"trade_name": "<string>",
"website_url": "<string>"
},
"termination": {
"termination_reason": "13",
"agreement_start_date": "2013-12-31",
"agreement_termination_date": "2013-12-31",
"comment": "Added due to fraud"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant: {
business_name: '<string>',
address: {
address_line: '<string>',
city: '<string>',
postal_code: '<string>',
country: '<string>',
address_line_2: '<string>'
},
principals: [
{
first_name: '<string>',
last_name: '<string>',
email: 'abc@xxx.com',
phone_number: '3165557625',
date_of_birth: '1980-01-01',
address: {
address_line: '<string>',
city: '<string>',
country: '<string>',
address_line_2: '<string>',
postal_code: '<string>'
}
}
],
phone_number: '<string>',
merchant_category: '1234',
merchant_id: '1234567890',
is_proprietorship: 'N',
is_transaction_laundering: 'N',
trade_name: '<string>',
website_url: '<string>'
},
termination: {
termination_reason: '13',
agreement_start_date: '2013-12-31',
agreement_termination_date: '2013-12-31',
comment: 'Added due to fraud'
}
})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate"
payload := strings.NewReader("{\n \"merchant\": {\n \"business_name\": \"<string>\",\n \"address\": {\n \"address_line\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\",\n \"address_line_2\": \"<string>\"\n },\n \"principals\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"abc@xxx.com\",\n \"phone_number\": \"3165557625\",\n \"date_of_birth\": \"1980-01-01\",\n \"address\": {\n \"address_line\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\"\n }\n }\n ],\n \"phone_number\": \"<string>\",\n \"merchant_category\": \"1234\",\n \"merchant_id\": \"1234567890\",\n \"is_proprietorship\": \"N\",\n \"is_transaction_laundering\": \"N\",\n \"trade_name\": \"<string>\",\n \"website_url\": \"<string>\"\n },\n \"termination\": {\n \"termination_reason\": \"13\",\n \"agreement_start_date\": \"2013-12-31\",\n \"agreement_termination_date\": \"2013-12-31\",\n \"comment\": \"Added due to fraud\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/compliance-search/match/terminate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"merchant\": {\n \"business_name\": \"<string>\",\n \"address\": {\n \"address_line\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\",\n \"address_line_2\": \"<string>\"\n },\n \"principals\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email\": \"abc@xxx.com\",\n \"phone_number\": \"3165557625\",\n \"date_of_birth\": \"1980-01-01\",\n \"address\": {\n \"address_line\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\"\n }\n }\n ],\n \"phone_number\": \"<string>\",\n \"merchant_category\": \"1234\",\n \"merchant_id\": \"1234567890\",\n \"is_proprietorship\": \"N\",\n \"is_transaction_laundering\": \"N\",\n \"trade_name\": \"<string>\",\n \"website_url\": \"<string>\"\n },\n \"termination\": {\n \"termination_reason\": \"13\",\n \"agreement_start_date\": \"2013-12-31\",\n \"agreement_termination_date\": \"2013-12-31\",\n \"comment\": \"Added due to fraud\"\n }\n}")
.asString();{
"merchant_reference_number": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
Required string length:
9Body
application/json
Response
MATCH merchant ID
Unique ID to identify the added merchant in MATCH
Last modified on July 22, 2026
⌘I